Skip to content

Requests

Okta Access Requests automate the process of requesting access to resources like apps, groups, and entitlement bundles. Each request is associated with a request approval process that determines the actions taken by Okta Access Requests. Manage this process directly with the following request APIs.

See Access Requests for more information on Access Requests and Identity Governance.

List all requests

Request

Beta
OAuth 2.0 scope:
  • okta.governance.accessRequests.read
Admin roles:
  • ACCESS_REQUESTS_ADMIN

Lists all or a subset of requests made by users in your organization.

Use the ?filter= parameter to narrow results with the following request properties: requestStatus and lastUpdated.

Pagination parameters are accepted, and standard link headers are in the response.

Query
filterstring, (scim-filter)(scim-filter)

Apply various filters by using supported request filtering properties.

Note: Query parameter percent encoding is required. See Percent-encoding

Examples:
Filter by requestStatus
filter=requestStatus eq "RESOLVED"
Filter by lastUpdated
filter=lastUpdated gt "2022-05-24T14:15:22Z"
Filter by requestStatus and lastUpdated
filter=requestStatus eq "RESOLVED" AND lastUpdated gt "2022-05-24T14:15:22Z"
afterstring, (request-id), = 24 characters(request-id)^[a-fA-F\d]{24}$

The after cursor provided by a prior request.

limitinteger, [ 1 .. 200 ]

The maximum number of records returned in a response

Default:20
orderBystring, (order-by)(order-by)

Apply an ordering of requests by specifying a supported request property name with %20asc or %20desc suffix.

Note: Query parameter percent encoding is required. See Percent-encoding

Examples:
Order by created
orderBy=created desc
Order by lastUpdated
orderBy=lastUpdated desc
GET
/governance/api/v1/requests
curl -i -X GET \
  'https://okta-subdomain.pixtulate.com/governance/api/v1/requests?filter=requestStatus%20eq%20%22RESOLVED%22&after=stringstringstringstring&limit=20&orderBy=created%20desc'

Responses

A successful request list response

Headers
X-Rate-Limit-Limitinteger, >= 1required

The rate-limit ceiling for the current request

Example:60
X-Rate-Limit-Remaininginteger, >= 0required

The number of requests left for the current rate-limit window

Example:60
X-Rate-Limit-Resetinteger, >= 0required

The time when the rate limit resets, specified in UTC epoch time (in seconds)

Example:1609459200
Bodyapplication/json
dataArray of objects(request-sparse)

All requests on the current page

Example:
[ { "subject": "request-from-service-now-xsd23432", "requestTypeId": "61eb2db568c7c300079fefd0", "requesterUserIds": [], "id": "61eb06a3c462d20007f0235c", "lastUpdated": "2022-05-05T14:15:22Z", "lastUpdatedBy": "00ub0oNGTSWTBKOLGLNR", "resolved": "2022-05-05T14:15:22Z'", "requestStatus": "RESOLVED", "type": "ACCESS_REQUEST", "permalinkId": 1, "_links": {} } ]
Response
A List Request response with no filter
{ "data": [ {}, {} ], "_links": { "self": {}, "next": {} } }